## ros-lunar-smach-viewer 2.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(smach_viewer)

find_package(catkin REQUIRED COMPONENTS rostest)

catkin_python_setup()

catkin_package(
  CATKIN_DEPENDS smach_ros smach_msgs
  )

# Install targets
install(PROGRAMS scripts/smach_viewer.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-lunar-smach-viewer (2.0.2-0stretch) stretch; urgency=high

  * Allow launching from a launch file, use rospy.myargv() to remove ROS  remapping arguments (#16 <https://github.com/ros-visualization/executive_smach_visualization/issues/16>)
    * Use rospy.myargv() to remove ROS remapping arguments  Required to allow launching from a launch file, otherwise get errors of the type:
    ```usage: smach_viewer.py [-h] [-f]
    smach_viewer.py: error: unrecognized arguments: __name:=smach_viewer```
    
    <string>:13: (WARNING/2) Inline literal start-string without end-string.
    
    <string>:13: (WARNING/2) Inline interpreted text or phrase reference start-string without end-string.
    
    Solved 'Cannot start smach_viewer.py in launch file' problem #17
  * Contributors: Kartik Mohta

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 26 Oct 2017 00:00:00 -0000

ros-lunar-smach-viewer (2.0.1-0stretch) stretch; urgency=high

  * add ROS Orphaned Package Maintainers to maintainer tag (#15 <https://github.com/ros-visualization/executive_smach_visualization/issues/15>)
  * copy xdot from https://github.com/jbohren/xdot, (#14 <https://github.com/ros-visualization/executive_smach_visualization/issues/14>)
    
      * support for Qt5 (Kinetic)
      * update CMakeLists.txt, package.xml, setup.py, smach_viewer.py for new xdot structure
      * add necessary lines in xdot/__init__.py https://github.com/jbohren/xdot/pull/14
      * copy xdot from https://github.com/jbohren/xdot, since system xdot is released in rosdep key https://github.com/ros/rosdistro/pull/4976
    
  * add auto focus to subgraph mode button (#11 <https://github.com/ros-visualization/executive_smach_visualization/issues/11>)
    
      * add launch option for 'auto focus to subgraph' mode as default
      * add auto focus to subgraph mode button
    
  * feature: Add ability to save the dot graph for further processing (#8 <https://github.com/ros-visualization/executive_smach_visualization/issues/8>)
    
      * forgot two imports
      * Add option to save dot graph to file
        Add a icon which enables the user to save the currently displayed
        graph as a .dot file in the currently hardcoded ros_home/dotfiles,
        which should normaly be $HOME/.ros/dotfiles
        From there it can be converted with the dot commandline tool into
        png, pdf or others without the problem of quality loss.
    
  * wx viewer: checking to make sure item urls are strings to prevent crash (#1 <https://github.com/jbohren/executive_smach_visualization/pull/1>)
  * Contributors: Yuki Furuta, Jonathan Bohren, Kei Okada, Markus Bajones

 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 20 Jun 2017 00:00:00 -0000

ros-lunar-smach-viewer (2.0.0-0stretch) stretch; urgency=high

  * Removing rosbuild support and old useless test
  * Fix lost information in package.xml
    That was dropped while catkinizing
  * Contributors: Felix Kolbe, Jonathan Bohren

 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 17 Apr 2014 00:00:00 -0000

ros-lunar-smach-viewer (1.1.0-0stretch) stretch; urgency=high

  * Putting cmake required version call inside the rosbuild/catkin switch
  * Catkinizng (hybrid)
  * Removing old, unused dependency
  * Adding documentation, cleaning up some parts of the wx smach viewer
  * Fix for #5122 <https://github.com/ros-visualization/executive_smach_visualization/issues/5122>: Multi-line name states aren't in activate color by smach_viewer
  * doc review for smach_msgs and smach_viewer
  * smach viewer is doc reviewed
  * add description for smach viewer
  * remove reference to executive python
  * smach viewer runs again
  * smach viewer needs rospy
  * use smach messages instead of executive python messages
  * import from https://code.ros.org/svn/wg-ros-pkg/branches/jbohren/executive_smach, which is the restructured code from the executive_python stack
  * Contributors: Jonathan Bohren, Wim Meeussen, wim

 -- Jonathan Bohren <jbo@jhu.edu>  Sat, 29 Jun 2013 00:00:00 -0000

=== debian/control ===
Source: ros-lunar-smach-viewer
Section: misc
Priority: extra
Maintainer: Jonathan Bohren <jbo@jhu.edu>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-rostest
Homepage: http://ros.org/wiki/smach_viewer
Standards-Version: 3.9.2

Package: ros-lunar-smach-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, graphviz, python-wxgtk3.0, ros-lunar-smach-msgs, ros-lunar-smach-ros
Description: The smach viewer is a GUI that shows the state of hierarchical SMACH state machines.
 It can visualize the possible transitions between states, as well as the currently active state and the values of user data that is passed around between states. The smach viewer uses the SMACH debugging interface based on the smach messages to gather information from running state machines.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-smach-viewer//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
